FindException (Java SE 9 & JDK 9 )
Keywords: java.lang.module.FindException class

Module java.base
Package java.lang.module

## Class FindException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - java.lang.module.FindException

- All Implemented Interfaces:
    `Serializable`

      public class FindException
      extends RuntimeException

  Thrown by a `ModuleFinder` when an error occurs finding a module. Also thrown by `Configuration.resolve` when resolution fails for observability-related reasons.
  Since:
    9
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FindException​()` | Constructs a `FindException` with no detail message.
    `FindException​(String msg)` | Constructs a `FindException` with the given detail message.
    `FindException​(String msg, Throwable cause)` | Constructs a `FindException` with the given detail message and cause.
    `FindException​(Throwable cause)` | Constructs a `FindException` with the given cause.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

- - ### Constructor Detail

    - #### FindException

          public FindException​()

      Constructs a `FindException` with no detail message.

    - #### FindException

          public FindException​(String msg)

      Constructs a `FindException` with the given detail message.
      Parameters:
        `msg` - The detail message; can be `null`

    - #### FindException

          public FindException​(Throwable cause)

      Constructs a `FindException` with the given cause.
      Parameters:
        `cause` - The cause; can be `null`

    - #### FindException

          public FindException​(String msg,
                               Throwable cause)

      Constructs a `FindException` with the given detail message and cause.
      Parameters:
        `msg` - The detail message; can be `null`
        `cause` - The cause; can be `null`